import CalendarPopup from './CalendarPopup.vue';

<template>
  <div class="section4">
    <div class="photo">
      <img src="../../public/img/Bicycles.png" class="bicycles" />
    </div>
    <div class="contact">
      <div class="contact-title">ติดต่อเรา</div>
      <div class="content-info">ชื่อ - นามสกุล</div>
      <div class="line"></div>
      <div class="content-info">เบอร์ติดต่อ</div>
      <div class="line"></div>
      <div class="content-info">อีเมล</div>
      <div class="line"></div>
      <div class="content-date">
        <div class="content-info-date">วันที่</div>
        <div class="content-calender">04/08/2022</div>
        <div class="calender-button">
          <div @click="showCalendar = !showCalendar" class="show-calendar">
            <img src="../../public/img/Vector1.png" />
          </div>
        </div>
      </div>
      <div class="line"></div>
      <div class="calendar-card">
        <CalendarCard v-if="showCalendar" />
      </div>
      <div class="info-lorem">Lorem Ipsum is simply dummy text Lorem Ipsum is simply dummy te</div>
      <div class="info-lorem">Lorem Ipsum is simply dummy text Lorem Ipsum is simply dummy te</div>
      <div class="button-lorem">LOREM</div>
    </div>
  </div>
</template>

<script>
import CalendarCard from './CalendarCard.vue'

export default {
  components: {
    CalendarCard
  },
  data() {
    return {
      showCalendar: false
    }
  }
}
</script>

<style scoped>
.calendar-card {
  display: flex;
  justify-content: end;
  margin-top: 12px;
  margin-right: 11px;
}
.section4 {
  display: flex;
  flex-direction: row;
  padding: 16.25rem 2rem 214px 2rem;
  gap: 8.813rem;
  justify-content: center;
  align-items: center;
}
.bicycles {
  width: 480px;
  height: 300px;
}

.contact-title {
  font-weight: 600;
  font-size: 60px;
}
.content-info {
  font-weight: 400;
  font-size: 18px;
  margin-top: 2.313rem;
  margin-bottom: 0.5rem;
}
.line {
  border: 1px solid #f5f5f5;
  width: 32.438rem;
}
.content-date {
  display: flex;
  flex-direction: row;
  align-items: center;
}
.content-info-date {
  font-weight: 400;
  font-size: 18px;
  margin-top: 2.313rem;
  margin-bottom: 0.5rem;
  margin-right: 4.688rem;
}
.content-calender {
  font-weight: 400;
  font-size: 18px;
  margin-top: 2.313rem;
  margin-bottom: 0.5rem;
  margin-right: 17.5rem;
}
.calender-button {
  width: 8px;
  height: 4.93px;
}
.show-calendar {
  cursor: pointer;
}
.info-lorem {
  padding: 10px 30px 10px 3px;
}
.button-lorem {
  background: linear-gradient(180deg, #dee34b 0%, #d9ef0c 35.94%, #87a30d 100%);
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.35);
  border-radius: 50px;
  width: 290px;
  height: 56px;
  color: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 500;
  font-size: 20px;
  margin-top: 75px;
}
@media only screen and (max-width: 768px) {
  .contact {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 22rem;
  }
  .photo {
    margin-top: 5rem;
  }
  .section4 {
    display: flex;
    flex-direction: column;
    gap: 3rem;
    padding: 0rem 2rem 214px 2rem;
  }
  .bicycles {
    width: 300px;
    height: 200px;
  }
  .contact-title {
    font-weight: 600;
    font-size: 30px;
    align-self: flex-start;
  }
  .content-info {
    font-size: 16px;
    align-self: flex-start;
  }
  .line {
    border: 1px solid #f5f5f5;
    width: 22rem;
  }
  .content-info-date {
    font-size: 16px;
    margin-right: 2rem;
  }
  .content-calender {
    font-size: 16px;
    margin-right: 7rem;
  }

  .show-calendar {
    cursor: pointer;
  }
  .button {
    width: 100%;
    font-size: 16px;
  }
  .info-lorem {
    padding: 10px 0px 10px 10px;
    width: 22rem;
  }
  .content-date {
    align-self: flex-start;
  }
  .calender-button {
    width: 10px;
    height: 4.93px;
    margin-left: 52px;
  }
  .calendar-card {
    margin-left: 350px;
  }
}
</style>
